#include <Adafruit_NeoPixel.h>

#define PIN 6
// Parametr 1 = počet pixelů (LED diod) na pásek
// Parametr 2 = číslo PINu Arduina
// Parametr 3 = pixel type flags, add together as needed:
// NEO_KHZ800  800 KHz kmitočet pro pásky s WS2812 LED diodami)
// NEO_GRB  Pixely jsou zasílány ve formátu GRB 
Adafruit_NeoPixel MagicLED = Adafruit_NeoPixel(60, PIN, NEO_GRB + NEO_KHZ800);

void setup() {
  MagicLED.begin();
  MagicLED.show(); // Inicializace všech pixelů (LED diod) do stavu "vypnuto"
}

void loop() {
  // bílá, červená, modrá
  utikej(MagicLED.Color(127, 127, 127), 50); // Bílá
  utikej(MagicLED.Color(127,   0,   0), 50); // Červená
  utikej(MagicLED.Color(  0,   0, 127), 50); // Modrá

}

//Běžící bílá, červená, modrá
void utikej(uint32_t c, uint8_t wait) {
  for (int j=0; j<10; j++) {  
    for (int q=0; q < 3; q++) {
      for (int i=0; i < MagicLED.numPixels(); i=i+3) {
        MagicLED.setPixelColor(i+q, c);    //zapínání všech pixelů najednou
      }
      MagicLED.show();
     
      delay(40);
     
      for (int i=0; i < MagicLED.numPixels(); i=i+3) {
        MagicLED.setPixelColor(i+q, 0);        //vypínání všech pixelů najednou
      }
    }
  }
}



